Maur?cio wrote:
>   Hi,
> 
>   An application I'm creating crashes ruby 1.73 (I'm using the windows 
> distribution from Pragmatic Programmers).
>   The lines where the crash occurs (at least that's what the message 
> says) are:
> 
> def float_translator (str)
>   str.gsub(/([\d\+\-\.]+) (\+ | \-) (\d*) (\| | $)/ix){$1 + 'E' + $2 + 
> $3 + $4}.to_f
> end

What libraries are you using? I've seen a similar problem with FXRuby, 
and it goes away when you GC.disable, so it looks like a mark/free bug.